SRC/dlapy3.f(3)

NAME
SRC/dlapy3.f

SYNOPSIS

  Functions/Subroutines
double precision function dlapy3 (x, y, z)
DLAPY3 returns sqrt(x2+y2+z2).

Function/Subroutine Documentation

  double precision function dlapy3 (double precision x, double precision y, double precision z)

DLAPY3 returns sqrt(x2+y2+z2).

Purpose:

    !>
    !> DLAPY3 returns sqrt(x**2+y**2+z**2), taking care not to cause
    !> unnecessary overflow and unnecessary underflow.
    !>

Parameters
    X

    !>          X is DOUBLE PRECISION
    !>

    Y

    !>          Y is DOUBLE PRECISION
    !>

    Z

    !>          Z is DOUBLE PRECISION
    !>          X, Y and Z specify the values x, y and z.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 67 of file dlapy3.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.